<?php
/**
 * TOP API: alibaba.alihealth.synergy.yzw.drugreport.opt.history.all request
 * 
 * @author auto create
 * @since 1.0, 2025.10.22
 */
class AlibabaAlihealthSynergyYzwDrugreportOptHistoryAllRequest
{
	/** 
	 * 批次号
	 **/
	private $batchNo;
	
	/** 
	 * 操作开始时间
	 **/
	private $beginTime;
	
	/** 
	 * 药品id
	 **/
	private $drugId;
	
	/** 
	 * 操作结束时间
	 **/
	private $endTime;
	
	/** 
	 * 页码
	 **/
	private $page;
	
	/** 
	 * 页的大小
	 **/
	private $pageSize;
	
	/** 
	 * 调用企业id
	 **/
	private $refEntId;
	
	private $apiParas = array();
	
	public function setBatchNo($batchNo)
	{
		$this->batchNo = $batchNo;
		$this->apiParas["batch_no"] = $batchNo;
	}

	public function getBatchNo()
	{
		return $this->batchNo;
	}

	public function setBeginTime($beginTime)
	{
		$this->beginTime = $beginTime;
		$this->apiParas["begin_time"] = $beginTime;
	}

	public function getBeginTime()
	{
		return $this->beginTime;
	}

	public function setDrugId($drugId)
	{
		$this->drugId = $drugId;
		$this->apiParas["drug_id"] = $drugId;
	}

	public function getDrugId()
	{
		return $this->drugId;
	}

	public function setEndTime($endTime)
	{
		$this->endTime = $endTime;
		$this->apiParas["end_time"] = $endTime;
	}

	public function getEndTime()
	{
		return $this->endTime;
	}

	public function setPage($page)
	{
		$this->page = $page;
		$this->apiParas["page"] = $page;
	}

	public function getPage()
	{
		return $this->page;
	}

	public function setPageSize($pageSize)
	{
		$this->pageSize = $pageSize;
		$this->apiParas["page_size"] = $pageSize;
	}

	public function getPageSize()
	{
		return $this->pageSize;
	}

	public function setRefEntId($refEntId)
	{
		$this->refEntId = $refEntId;
		$this->apiParas["ref_ent_id"] = $refEntId;
	}

	public function getRefEntId()
	{
		return $this->refEntId;
	}

	public function getApiMethodName()
	{
		return "alibaba.alihealth.synergy.yzw.drugreport.opt.history.all";
	}
	
	public function getApiParas()
	{
		return $this->apiParas;
	}
	
	public function check()
	{
		
		RequestCheckUtil::checkNotNull($this->beginTime,"beginTime");
		RequestCheckUtil::checkNotNull($this->endTime,"endTime");
		RequestCheckUtil::checkNotNull($this->refEntId,"refEntId");
	}
	
	public function putOtherTextParam($key, $value) {
		$this->apiParas[$key] = $value;
		$this->$key = $value;
	}
}
